Create an item
curl --request POST \
--url https://api.integrations.commenda.io/v4/core/companies/{companyId}/items \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"data": {
"platform_id": "string",
"name": "string",
"description": "string",
"code": "string",
"sku": "string",
"price": 0,
"currency_id": "AED",
"type": "INVENTORY",
"status": "DRAFT",
"quantity_on_hand": 0,
"is_bill_item": false,
"bill_item": {},
"is_invoice_item": false,
"invoice_item": {},
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"variants": [
{
"platform_id": "string",
"parent_id": "string",
"parent_type": "ACCOUNT",
"name": "string",
"sku": "string",
"price": 0,
"compare_at_price": 0,
"currency_id": "AED",
"status": "ACTIVE",
"attributes": {}
}
]
}
}
'import requests
url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/items"
payload = { "data": {
"platform_id": "string",
"name": "string",
"description": "string",
"code": "string",
"sku": "string",
"price": 0,
"currency_id": "AED",
"type": "INVENTORY",
"status": "DRAFT",
"quantity_on_hand": 0,
"is_bill_item": False,
"bill_item": {},
"is_invoice_item": False,
"invoice_item": {},
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"variants": [
{
"platform_id": "string",
"parent_id": "string",
"parent_type": "ACCOUNT",
"name": "string",
"sku": "string",
"price": 0,
"compare_at_price": 0,
"currency_id": "AED",
"status": "ACTIVE",
"attributes": {}
}
]
} }
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
platform_id: 'string',
name: 'string',
description: 'string',
code: 'string',
sku: 'string',
price: 0,
currency_id: 'AED',
type: 'INVENTORY',
status: 'DRAFT',
quantity_on_hand: 0,
is_bill_item: false,
bill_item: {},
is_invoice_item: false,
invoice_item: {},
created_at: '2024-01-01T00:00:00Z',
updated_at: '2024-01-01T00:00:00Z',
variants: [
{
platform_id: 'string',
parent_id: 'string',
parent_type: 'ACCOUNT',
name: 'string',
sku: 'string',
price: 0,
compare_at_price: 0,
currency_id: 'AED',
status: 'ACTIVE',
attributes: {}
}
]
}
})
};
fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"sync_id": "<string>",
"data": {
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"name": "<string>",
"description": "<string>",
"code": "<string>",
"sku": "<string>",
"price": 123,
"quantity_on_hand": 123,
"is_bill_item": true,
"bill_item": "<unknown>",
"is_invoice_item": true,
"invoice_item": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"variants": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"parent_id": "<string>",
"name": "<string>",
"sku": "<string>",
"price": 123,
"compare_at_price": 123,
"attributes": "<unknown>"
}
]
}
},
"request_id": "<string>"
}Items
Create an item
POST
/
v4
/
core
/
companies
/
{companyId}
/
items
Create an item
Authorizations
Your Commenda Integrations API key, sent in the api_key header.
Path Parameters
Commenda company id.
Query Parameters
Process the write asynchronously. Required when data is an array (batch write).
Body
application/json
- object
- object[]
Show child attributes
Show child attributes
⌘I